List Signatures
curl --request GET \
--url https://api.dfns.io/keys/{keyId}/signatures \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dfns.io/keys/{keyId}/signatures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dfns.io/keys/{keyId}/signatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dfns.io/keys/{keyId}/signatures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dfns.io/keys/{keyId}/signatures"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dfns.io/keys/{keyId}/signatures")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dfns.io/keys/{keyId}/signatures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "sig-4sfvl-f4iha-umighfi3hk4t54dr",
"keyId": "key-01snl-t56gb-j8tsok0vn802p80i",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"kind": "Hash",
"hash": "<string>",
"taprootMerkleRoot": "<string>",
"network": "Algorand",
"blockchainKind": "Algorand",
"externalId": "<string>"
},
"status": "Pending",
"dateRequested": "2023-04-14T20:41:28.715Z",
"reason": "<string>",
"signature": {
"r": "<string>",
"s": "<string>",
"recid": 123,
"encoded": "<string>"
},
"signatures": [
{
"r": "<string>",
"s": "<string>",
"recid": 123,
"encoded": "<string>"
}
],
"signedData": "<string>",
"network": "Algorand",
"txHash": "<string>",
"fee": "<string>",
"approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0",
"datePolicyResolved": "2023-04-14T20:41:28.715Z",
"dateSigned": "2023-04-14T20:41:28.715Z",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"externalId": "<string>",
"details": {}
}
],
"keyId": "key-01snl-t56gb-j8tsok0vn802p80i",
"nextPageToken": "<string>"
}List Signatures
List all signature requests for a key.
GET
/
keys
/
{keyId}
/
signatures
List Signatures
curl --request GET \
--url https://api.dfns.io/keys/{keyId}/signatures \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dfns.io/keys/{keyId}/signatures"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dfns.io/keys/{keyId}/signatures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dfns.io/keys/{keyId}/signatures",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dfns.io/keys/{keyId}/signatures"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dfns.io/keys/{keyId}/signatures")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dfns.io/keys/{keyId}/signatures")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "sig-4sfvl-f4iha-umighfi3hk4t54dr",
"keyId": "key-01snl-t56gb-j8tsok0vn802p80i",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"requestBody": {
"kind": "Hash",
"hash": "<string>",
"taprootMerkleRoot": "<string>",
"network": "Algorand",
"blockchainKind": "Algorand",
"externalId": "<string>"
},
"status": "Pending",
"dateRequested": "2023-04-14T20:41:28.715Z",
"reason": "<string>",
"signature": {
"r": "<string>",
"s": "<string>",
"recid": 123,
"encoded": "<string>"
},
"signatures": [
{
"r": "<string>",
"s": "<string>",
"recid": 123,
"encoded": "<string>"
}
],
"signedData": "<string>",
"network": "Algorand",
"txHash": "<string>",
"fee": "<string>",
"approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0",
"datePolicyResolved": "2023-04-14T20:41:28.715Z",
"dateSigned": "2023-04-14T20:41:28.715Z",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"externalId": "<string>",
"details": {}
}
],
"keyId": "key-01snl-t56gb-j8tsok0vn802p80i",
"nextPageToken": "<string>"
}Authentication
✅ Organization User (CustomerEmployee)✅ Delegated User (
EndUser)✅ Service Account
Required Permissions
Keys:Signatures:Read: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Path Parameters
The key to list signatures for.
Required string length:
1 - 64Query Parameters
Maximum number of items to return.
Required range:
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
Minimum string length:
1Response
200 - application/json
Success
Current page items.
Show child attributes
Show child attributes
The key these signatures belong to.
Required string length:
1 - 64Pattern:
^key-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$Example:
"key-01snl-t56gb-j8tsok0vn802p80i"
token to use as paginationToken to request the next page.
Was this page helpful?